Package de.willuhn.jameica.hbci.gui.chart

# Enum Class LineStyle

java.lang.Object
java.lang.Enum<LineStyle>
de.willuhn.jameica.hbci.gui.chart.LineStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<LineStyle>`, `Constable`

public enum LineStyle extends Enum<LineStyle>
Enum mit den Line-Styles.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DASH`
Gestrichtelte Linie.
`DOT`
Gepunktete Linie.
`SOLID`
Durchgezogene Linie.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.swtchart.LineStyle`
`getSwtStyle()`
Liefert den in SWT zu verwendenden Style.
`static LineStyle`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LineStyle[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SOLID

public static final LineStyle SOLID
Durchgezogene Linie.

### DOT

public static final LineStyle DOT
Gepunktete Linie.

### DASH

public static final LineStyle DASH
Gestrichtelte Linie.

## Method Details

### values

public static LineStyle[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LineStyle valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSwtStyle

public org.eclipse.swtchart.LineStyle getSwtStyle()
Liefert den in SWT zu verwendenden Style.

Returns:
  swtStyle der in SWT zu verwendende Style.